/*******************************************************************************
 * Copyright 2013 2Fi Business Solutions Ltd.
 *
 * This code is part of the PCS project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.meeting;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "meeting")
public class Meeting extends BaseEntity<Integer> {

	public static final int TYPE_COMMISSION = 0;
	public static final int TYPE_FITTING = 1;
	public static final int TYPE_PICKUP = 2;
	public static final int TYPE_NEW = 3;


	private static final long serialVersionUID = 490716054903883090L;

	@Column(columnDefinition = "datetime")
	private Date date;

	@Column(columnDefinition = "int(11)")
	private Integer custId;

	@Column(columnDefinition = "int(11)")
	private Integer orderId;

	@Column(columnDefinition = "int(11)")
	private Integer type;

	@Column(columnDefinition = "varchar(255)")
	private String remarks;

	@Column(columnDefinition = "varchar(45)")
	private String staffName;

	public Meeting() {
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Integer getCustId() {
		return custId;
	}

	public void setCustId(Integer custId) {
		this.custId = custId;
	}

	public Integer getOrderId() {
		return orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	

}
